> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar atribuições de função

> Listar atribuições de funções de conta

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.pt-br.json GET /v1/public/accounts/{account_id}/auth/role-assignments
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/auth/role-assignments:
    get:
      tags:
        - public-accounts
        - public-account-auth
      summary: Listar atribuições de funções de conta
      description: Listar atribuições de função de escopo de conta.
      operationId: >-
        list_public_account_role_assignments_v1_public_accounts__account_id__auth_role_assignments_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: subject_type
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/SubjectType'
              - type: 'null'
            title: Subject Type
        - in: query
          name: subject_id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Subject Id
        - in: query
          name: role_key
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/RoleKey'
              - type: 'null'
            title: Role Key
        - in: query
          name: include_revoked
          required: false
          schema:
            default: false
            title: Include Revoked
            type: boolean
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/RoleAssignmentResponse'
                title: >-
                  Response List Public Account Role Assignments V1 Public
                  Accounts  Account Id  Auth Role Assignments Get
                type: array
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Erro de validação
      security:
        - PublicBearerAuth: []
components:
  schemas:
    SubjectType:
      description: Tipos de assunto de autorização.
      enum:
        - user
        - group
        - service_account
      title: SubjectType
      type: string
    RoleKey:
      description: Identificadores de função reutilizáveis ​​estáveis.
      enum:
        - viewer
        - editor
        - domain_manager
        - manager
        - dns_manager
        - ip_manager
        - billing_viewer
        - billing_admin
        - credential_manager
      title: RoleKey
      type: string
    RoleAssignmentResponse:
      properties:
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Criado em
        expanded_capability_keys:
          items:
            type: string
          title: Chaves de capacidade expandidas
          type: array
        id:
          format: uuid
          title: ID
          type: string
        resource_id:
          format: uuid
          title: recurso ID
          type: string
        resource_type:
          title: recurso tipo
          type: string
        revoked_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: revogado em
        role_key:
          title: Chave de função
          type: string
        subject_id:
          title: sujeito ID
          type: string
        subject_type:
          title: sujeito tipo
          type: string
      required:
        - id
        - subject_type
        - subject_id
        - role_key
        - resource_type
        - resource_id
        - expanded_capability_keys
      title: RoleAssignmentResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detalhe
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Localização
          type: array
        msg:
          title: Mensagem
          type: string
        type:
          title: Tipo de erro
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````